﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PolyLib;

namespace Braids
{
    /// <summary>
    /// A class containing some extra computations functions
    /// </summary>
    static class Compute
    {
        /// <summary>
        /// Computes the Euclidean remainder of a divided by n
        /// </summary>
        /// <param name="a">The dividend</param>
        /// <param name="n">The divisor</param>
        /// <returns>The remainder</returns>
        public static int Mod(int a, int n)
        {
            int result = a % n;
            if (result >= 0) { return result; }
            else
                return result + n;
        }
    }
}
