﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Braids
{
    class DistComparer : IComparer<int[]>
    {
        public int Compare(int[] t1, int[] t2)
        {
            return t1[2] - t2[2];
        }
    }

    class FramingComparer : IComparer<int[]>
    {
        public int Compare(int[] t1, int[] t2)
        {
            return t1[0] - t2[0];
        }
    }


    class AbsComparer : IComparer<int>
    {
        public int Compare(int a, int b)
        {
            return Math.Abs(b) - Math.Abs(a);
        }
    }
}
